Debian Bug report logs - #624568
apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl

version graph

Package: src:apt-cacher; Maintainer for src:apt-cacher is Mark Hindley <mark@hindley.org.uk>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 29 Apr 2011 17:24:02 UTC

Severity: normal

Tags: patch

Found in version apt-cacher/1.6.12

Fixed in versions apt-cacher/1.7.0.rc1, apt-cacher/1.7.1

Done: Mark Hindley <mark@hindley.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Mark Hindley <mark@hindley.org.uk>:
Bug#624568; Package src:apt-cacher. (Fri, 29 Apr 2011 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Mark Hindley <mark@hindley.org.uk>. (Fri, 29 Apr 2011 17:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Fri, 29 Apr 2011 19:20:17 +0200
[Message part 1 (text/plain, inline)]
Source: apt-cacher
Version: 1.6.12
Severity: normal
Tags: patch
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition 

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Could you change this in your next upload, use Digest::SHA and drop
then the dependency on libdigest-sha1-perl?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[use-Digest-SHA.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#624568; Package src:apt-cacher. (Mon, 02 May 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #8 received at 624568@bugs.debian.org (full text, mbox):

From: Mark Hindley <mark@hindley.org.uk>
To: Salvatore Bonaccorso <carnil@debian.org>, 624568@bugs.debian.org
Subject: Re: Bug#624568: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Mon, 2 May 2011 14:57:15 +0100
package apt-cacher
tag 624568 pending
thanks

On Fri, Apr 29, 2011 at 07:20:17PM +0200, Salvatore Bonaccorso wrote:
> Source: apt-cacher
> Version: 1.6.12
> Severity: normal
> Tags: patch
> User: debian-perl@lists.debian.org
> Usertags: digest-sha-perl-transition 
> 
> Hi
> 
> We from the Debian Perl Group would like to drop libdigest-sha1-perl
> at some point, see [1]. Most of the functionality (except
> sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> Switching from Digest::SHA1 to Digest::SHA should be in principle as
> easy as substituting the use of Digest::SHA1 with Digest::SHA.

Thanks. I already have this changed in dev and queued to upload.

Cheers

Mark




Added tag(s) pending. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.debian.org. (Mon, 02 May 2011 16:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Hindley <mark@hindley.org.uk>:
Bug#624568; Package src:apt-cacher. (Tue, 03 May 2011 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. (Tue, 03 May 2011 07:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 624568@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 624568@bugs.debian.org
Subject: Re: Bug#624568: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Tue, 3 May 2011 09:01:12 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 02, 2011 at 02:57:15PM +0100, Mark Hindley wrote:
> package apt-cacher
> tag 624568 pending
> thanks
> 
> On Fri, Apr 29, 2011 at 07:20:17PM +0200, Salvatore Bonaccorso wrote:
> > Source: apt-cacher
> > Version: 1.6.12
> > Severity: normal
> > Tags: patch
> > User: debian-perl@lists.debian.org
> > Usertags: digest-sha-perl-transition 
> > 
> > Hi
> > 
> > We from the Debian Perl Group would like to drop libdigest-sha1-perl
> > at some point, see [1]. Most of the functionality (except
> > sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> > Switching from Digest::SHA1 to Digest::SHA should be in principle as
> > easy as substituting the use of Digest::SHA1 with Digest::SHA.
> 
> Thanks. I already have this changed in dev and queued to upload.

Thank you Mark

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 22 Jun 2011 23:06:26 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 22 Jun 2011 23:06:26 GMT) Full text and rfc822 format available.

Message #20 received at 624568-close@bugs.debian.org (full text, mbox):

From: Mark Hindley <mark@hindley.org.uk>
To: 624568-close@bugs.debian.org
Subject: Bug#624568: fixed in apt-cacher 1.7.0.rc1
Date: Wed, 22 Jun 2011 23:02:09 +0000
Source: apt-cacher
Source-Version: 1.7.0.rc1

We believe that the bug you reported is fixed in the latest version of
apt-cacher, which is due to be installed in the Debian FTP archive:

apt-cacher_1.7.0.rc1.dsc
  to main/a/apt-cacher/apt-cacher_1.7.0.rc1.dsc
apt-cacher_1.7.0.rc1.tar.gz
  to main/a/apt-cacher/apt-cacher_1.7.0.rc1.tar.gz
apt-cacher_1.7.0.rc1_all.deb
  to main/a/apt-cacher/apt-cacher_1.7.0.rc1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hindley <mark@hindley.org.uk> (supplier of updated apt-cacher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 Jun 2011 11:01:24 +0100
Source: apt-cacher
Binary: apt-cacher
Architecture: source all
Version: 1.7.0.rc1
Distribution: experimental
Urgency: low
Maintainer: Mark Hindley <mark@hindley.org.uk>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Description: 
 apt-cacher - Caching proxy for Debian package and source files
Closes: 418170 507794 522161 541618 547308 593227 600893 611526 614615 618996 624568
Changes: 
 apt-cacher (1.7.0.rc1) experimental; urgency=low
 .
   * Remove apache specific CGI installation (which was broken) and
     deprecate CGI mode (closes: 593227)
   * Try to ensure cache_dir and subdirs are owned by the correct user
     (closes: #611526)
   * Add changelog and NEWS.Debian to installer_files_regexp (closes: 600893)
   * Fix error: Can't use an undefined value as a HASH reference at
     apt-cacher-lib.pl line 249. (closes: 614615)
   * Check validity of cached HTTP status (closes: #618996)
   * Set CURLOPT_FOLLOWLOCATION to follow redirects correctly (closes: #618996)
   * Fix error: Can't use an undefined value as a HASH reference at
     apt-cacher-lib.pl line 249.
   * Use SHA rather than MD5 for checksumming.
   * Use Digest::SHA rather than Digest::SHA1 (closes: #624568)
   * Checksum database compaction is now recursive until there is nothing
     left to do.
   * Basic SOAP proxying which enables support for apt-listbugs (Closes: #547308)
   * Support separate namespaces to allow multi-distro support (e.g. Debian
     + Ubuntu). (Closes: #541618)
   * Configuration option disk_usage_limit to limit disk usage (Closes: #418170)
   * Make cache only accessible from localhost by default. See allowed_hosts
     and allowed_hosts_6 if you need to relax this (Closes: #522161)
   * Option to limit libcurl rate overall. This is not well supported by libcurl
     so this just uses a simple fraction per download (Closes: #507794)
   * Upgrade to Standards version 3.9.2 (no changes required)
Checksums-Sha1: 
 b69b1234cbbb9061c50a3de1788f2063856bf0b4 847 apt-cacher_1.7.0.rc1.dsc
 57d777f038432006dc8a7a75b84a811267c1e5c3 123454 apt-cacher_1.7.0.rc1.tar.gz
 872c4b7f9c4494bb1284b6a4664ec34403ab448e 89864 apt-cacher_1.7.0.rc1_all.deb
Checksums-Sha256: 
 f7dfdc85a9be4c949103f4bd07b67b0d91c80b3c2d882601789921bf826dd036 847 apt-cacher_1.7.0.rc1.dsc
 a70f9a25616f3963a8f37445f50c7f90cadd5c4270013eb31042385c6d3858e2 123454 apt-cacher_1.7.0.rc1.tar.gz
 54c86184d6074b63fd3692ef3d26c8d1101b431612a05134a4f61a2eec6e923d 89864 apt-cacher_1.7.0.rc1_all.deb
Files: 
 b98895d2a7f6c00829c93cb148abe742 847 net optional apt-cacher_1.7.0.rc1.dsc
 e0877dfe2d9e27fa862dee2a9424e0a1 123454 net optional apt-cacher_1.7.0.rc1.tar.gz
 dd28097ed92c030f5a1c5da72d500d31 89864 net optional apt-cacher_1.7.0.rc1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOAnHS4QZIHu3wCMURAoCLAKCGPYOYO0up44DawOgmIfZR+jP3yACfZbeC
3wBKtWuOXGmcuLwRQgNgpcE=
=cGb1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Mark Hindley <mark@hindley.org.uk>:
Bug#624568; Package src:apt-cacher. (Thu, 15 Sep 2011 16:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. (Thu, 15 Sep 2011 16:42:13 GMT) Full text and rfc822 format available.

Message #25 received at 624568@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 624568@bugs.debian.org
Subject: Re: Bug#624568: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Thu, 15 Sep 2011 18:41:33 +0200
[Message part 1 (text/plain, inline)]
Hi Mark

On Mon, May 02, 2011 at 02:57:15PM +0100, Mark Hindley wrote:
> package apt-cacher
> tag 624568 pending
> thanks
> 
> On Fri, Apr 29, 2011 at 07:20:17PM +0200, Salvatore Bonaccorso wrote:
> > Source: apt-cacher
> > Version: 1.6.12
> > Severity: normal
> > Tags: patch
> > User: debian-perl@lists.debian.org
> > Usertags: digest-sha-perl-transition 
> > 
> > Hi
> > 
> > We from the Debian Perl Group would like to drop libdigest-sha1-perl
> > at some point, see [1]. Most of the functionality (except
> > sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> > Switching from Digest::SHA1 to Digest::SHA should be in principle as
> > easy as substituting the use of Digest::SHA1 with Digest::SHA.
> 
> Thanks. I already have this changed in dev and queued to upload.

First of all thank you for fixing that. I have a question, would it be
possible to have an upload for that to the unstable version too? I
could do an NMU if needed. 

The reason I ask ist that now only 3 packages are left so far, to have
the possiblity to remove libdigest-sha1-perl:

$ dak rm -Rn libdigest-sha1-perl
Working... done.
Will remove the following packages from unstable:

libdigest-sha1-perl |     2.13-2 | source, amd64, armel, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>

------------------- Reason -------------------

----------------------------------------------

Checking reverse dependencies...
# Broken Depends:
apt-cacher: apt-cacher
libnet-openid-consumer-perl: libnet-openid-consumer-perl
libnet-openid-server-perl: libnet-openid-server-perl

# Broken Build-Depends:
libnet-openid-consumer-perl: libdigest-sha1-perl
libnet-openid-server-perl: libdigest-sha1-perl

Dependency problem found.

Many thanks for your work!

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#624568; Package src:apt-cacher. (Fri, 16 Sep 2011 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. (Fri, 16 Sep 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 624568@bugs.debian.org (full text, mbox):

From: Mark Hindley <mark@hindley.org.uk>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 624568@bugs.debian.org
Subject: Re: Bug#624568: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Fri, 16 Sep 2011 02:00:07 +0100
On Thu, Sep 15, 2011 at 06:41:33PM +0200, Salvatore Bonaccorso wrote:
> Hi Mark
> 
> On Mon, May 02, 2011 at 02:57:15PM +0100, Mark Hindley wrote:
> > package apt-cacher
> > tag 624568 pending
> > thanks
> > 
> > On Fri, Apr 29, 2011 at 07:20:17PM +0200, Salvatore Bonaccorso wrote:
> > > Source: apt-cacher
> > > Version: 1.6.12
> > > Severity: normal
> > > Tags: patch
> > > User: debian-perl@lists.debian.org
> > > Usertags: digest-sha-perl-transition 
> > > 
> > > Hi
> > > 
> > > We from the Debian Perl Group would like to drop libdigest-sha1-perl
> > > at some point, see [1]. Most of the functionality (except
> > > sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> > > Switching from Digest::SHA1 to Digest::SHA should be in principle as
> > > easy as substituting the use of Digest::SHA1 with Digest::SHA.
> > 
> > Thanks. I already have this changed in dev and queued to upload.
> 
> First of all thank you for fixing that. I have a question, would it be
> possible to have an upload for that to the unstable version too? I
> could do an NMU if needed. 

The final apt-cacher 1.7.0 for upload into unstable is only a few days 
away. We are just in final testing now. So a NMU is probably not worth 
it.

I hope that is OK.

Best wishes

Mark




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Hindley <mark@hindley.org.uk>:
Bug#624568; Package src:apt-cacher. (Fri, 16 Sep 2011 05:43:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. (Fri, 16 Sep 2011 05:43:51 GMT) Full text and rfc822 format available.

Message #35 received at 624568@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 624568@bugs.debian.org
Subject: Re: Bug#624568: apt-cacher: Please use Digest::SHA and drop dependency on libdigest-sha1-perl
Date: Fri, 16 Sep 2011 07:40:29 +0200
[Message part 1 (text/plain, inline)]
Hi Mark

On Fri, Sep 16, 2011 at 02:00:07AM +0100, Mark Hindley wrote:
> On Thu, Sep 15, 2011 at 06:41:33PM +0200, Salvatore Bonaccorso wrote:
> > Hi Mark
> > 
> > On Mon, May 02, 2011 at 02:57:15PM +0100, Mark Hindley wrote:
> > > package apt-cacher
> > > tag 624568 pending
> > > thanks
> > > 
> > > On Fri, Apr 29, 2011 at 07:20:17PM +0200, Salvatore Bonaccorso wrote:
> > > > Source: apt-cacher
> > > > Version: 1.6.12
> > > > Severity: normal
> > > > Tags: patch
> > > > User: debian-perl@lists.debian.org
> > > > Usertags: digest-sha-perl-transition 
> > > > 
> > > > Hi
> > > > 
> > > > We from the Debian Perl Group would like to drop libdigest-sha1-perl
> > > > at some point, see [1]. Most of the functionality (except
> > > > sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> > > > Switching from Digest::SHA1 to Digest::SHA should be in principle as
> > > > easy as substituting the use of Digest::SHA1 with Digest::SHA.
> > > 
> > > Thanks. I already have this changed in dev and queued to upload.
> > 
> > First of all thank you for fixing that. I have a question, would it be
> > possible to have an upload for that to the unstable version too? I
> > could do an NMU if needed. 
> 
> The final apt-cacher 1.7.0 for upload into unstable is only a few days 
> away. We are just in final testing now. So a NMU is probably not worth 
> it.
> 
> I hope that is OK.

Yes perfectly okay.

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Thu, 27 Oct 2011 18:21:22 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 27 Oct 2011 18:21:23 GMT) Full text and rfc822 format available.

Message #40 received at 624568-close@bugs.debian.org (full text, mbox):

From: Mark Hindley <mark@hindley.org.uk>
To: 624568-close@bugs.debian.org
Subject: Bug#624568: fixed in apt-cacher 1.7.1
Date: Thu, 27 Oct 2011 18:17:09 +0000
Source: apt-cacher
Source-Version: 1.7.1

We believe that the bug you reported is fixed in the latest version of
apt-cacher, which is due to be installed in the Debian FTP archive:

apt-cacher_1.7.1.dsc
  to main/a/apt-cacher/apt-cacher_1.7.1.dsc
apt-cacher_1.7.1.tar.gz
  to main/a/apt-cacher/apt-cacher_1.7.1.tar.gz
apt-cacher_1.7.1_all.deb
  to main/a/apt-cacher/apt-cacher_1.7.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hindley <mark@hindley.org.uk> (supplier of updated apt-cacher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Oct 2011 07:31:13 +0100
Source: apt-cacher
Binary: apt-cacher
Architecture: source all
Version: 1.7.1
Distribution: unstable
Urgency: low
Maintainer: Mark Hindley <mark@hindley.org.uk>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Description: 
 apt-cacher - Caching proxy for Debian package and source files
Closes: 418170 507794 522161 541618 547308 593227 600893 611526 614615 618996 624568 631616 631705 631962 631972 632156 632524 632622 632625 632646 632796 636623
Changes: 
 apt-cacher (1.7.1) unstable; urgency=low
 .
   * Support multiple import directories for apt-cacher-import.pl.
   * Add Precise Pangolin to list of Ubuntu releases.
   * Workaround missing \K regexp escape in perl versions < 5.10.
   * Bugfix: ensure headers are always sent.
   * Bugfix changelog expiry in apt-cacher-cleanup.pl.
   * Don't overwrite existing files when importing packages.
   * Specifically depend on libberkeleydb-perl >= 0.34 for failchk().
 .
 apt-cacher (1.7.0) unstable; urgency=low
 .
   * Rework revalidation -- done for all files apart from package files.
   * Internal path_map for Debian and Ubuntu changelog servers.
   * Cleanup handling of binary/decimal byte units.
   * Fix apt-cacher-cleanup.pl database multiple commands.
   * Cleanup conf.d file handling and documentation.
   * Set Connection: close correctly.
   * Refresh Release file if index file checksum fails.
   * Support namespace import by MD5 digest and URL.
   * Rename CGI wrapper.
   * Fix age calculation for max-age handling.
   * Fix finding correct Release file for Packages/Sources in
     apt-cacher-cleanup.pl.
   * Move manpage to section 8.
   * Support for UBUNTU_RELEASE_NAMES expansion in installer_files_regexp.
   * Return 504 (rather then 404) if connect to host fails.
   * Use NetAddr::IP for {allowed,denied}_hosts.
   * Support PATH_MAP shorthand in allowed_locations.
   * Rework install scripts.
   * Allow access to URL root for Ubuntu changelogs.
   * Document in NEWS rejection of '/../' in URLs and provide link to
     current configuration for accessing experimental. (Closes: #636623)
   * Terminate libcurl process on dpkg configure or reconfigure.
   * Refresh Release file if checksum fails for index files.
   * Rewrite return_file() including fix finding EOF with buffered read.
   * Share DNS cache with WWW::Curl::Share.
   * Reverse map hostnames to path_map keys to reduce cached file duplication.
   * Fix namespace handling for path_mapped URLs.
   * Add Portuguese debconf translation thanks to 'Traduz' - Portuguese
     Translation Team. (Closes: #632156)
   * Add Czech translation of debconf messages thanks to Miroslav Kure.
     (Closes: #632524)
   * Add Dutch debconf translation, thanks to Jeroen Schot. (Closes: #632625)
   * Add Spanish debconf translation, thanks to Omar Campagne. (Closes: #632646)
   * Don't use $ENV{SERVER_NAME} in CGI mode: Fixes bug: "doesn't work in
     apache mode from a virtualbox guest". (Closes: #632622)
   * Add French debconf templates translation, thanks to Jean-Baka
     Domelevo-Entfellner. (Closes: #632796)
   * Add Russian debconf translation, thanks to Yuri Kozlov. (Closes: #631962)
   * Add Swedish debconf translation, thanks to Martin Bagge. (Closes: #631972)
   * Add simplified Chinese (zh_CN) translation of apt-cacher
     debconf, thanks to YunQiang Su. (Closes: #631616)
   * Add Danish translation of the debconf template, thanks to Joe Dalton.
     (Closes: #631705)
 .
 apt-cacher (1.7.0~rc1) experimental; urgency=low
 .
   * Remove apache specific CGI installation (which was broken) and
     deprecate CGI mode (closes: #593227)
   * Try to ensure cache_dir and subdirs are owned by the correct user
     (closes: #611526)
   * Add changelog and NEWS.Debian to installer_files_regexp (closes: #600893)
   * Fix error: Can't use an undefined value as a HASH reference at
     apt-cacher-lib.pl line 249. (closes: #614615)
   * Check validity of cached HTTP status (closes: #618996)
   * Set CURLOPT_FOLLOWLOCATION to follow redirects correctly (closes: #618996)
   * Fix error: Can't use an undefined value as a HASH reference at
     apt-cacher-lib.pl line 249.
   * Use SHA rather than MD5 for checksumming.
   * Use Digest::SHA rather than Digest::SHA1 (closes: #624568)
   * Checksum database compaction is now recursive until there is nothing
     left to do.
   * Basic SOAP proxying which enables support for apt-listbugs (Closes: #547308)
   * Support separate namespaces to allow multi-distro support (e.g. Debian
     + Ubuntu). (Closes: #541618)
   * Configuration option disk_usage_limit to limit disk usage (Closes: #418170)
   * Make cache only accessible from localhost by default. See allowed_hosts
     and allowed_hosts_6 if you need to relax this (Closes: #522161)
   * Option to limit libcurl rate overall. This is not well supported by libcurl
     so this just uses a simple fraction per download (Closes: #507794)
   * Upgrade to Standards version 3.9.2 (no changes required)
Checksums-Sha1: 
 d6416d83676d8b2dc5cc40dad8f1a6c8e1185ed8 852 apt-cacher_1.7.1.dsc
 4ae0a9fc8e1922d59016cb4422bf4be6e65eefe1 132423 apt-cacher_1.7.1.tar.gz
 6212154f4453d4438584821321e29868a9c6ce6c 96340 apt-cacher_1.7.1_all.deb
Checksums-Sha256: 
 ae06bd951cd124a63fada469907276ea888960c8b8ef63282a97f62be93ad3b7 852 apt-cacher_1.7.1.dsc
 86a8ed63a5c89057eb721c60b1f071f147f93c51117a40fcdaf88b839b72b4d0 132423 apt-cacher_1.7.1.tar.gz
 5b46df6e340c6373ff04da45ecd5e97bb467dcecfe925cc8ea395b73c7f2cdf0 96340 apt-cacher_1.7.1_all.deb
Files: 
 1db95321b008a25e11cc137f5ef7fb8d 852 net optional apt-cacher_1.7.1.dsc
 38fa5f1d2d9e95ad87e0820eda5e5bb1 132423 net optional apt-cacher_1.7.1.tar.gz
 87ea62382af1a0c065006216cb70437c 96340 net optional apt-cacher_1.7.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOqZwU4QZIHu3wCMURAo64AJ9+IibE2r9nGyAzzY5gX1PxFVnWmQCfWWYx
RoxDEhFlKYussteTnNCzj7A=
=uNDx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Dec 2011 07:39:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:01:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.